Skip to main content
GET
/
v1
/
prompts
/
{prompt_identifier}
/
versions
List prompt versions
curl --request GET \
  --url https://api.example.com/v1/prompts/{prompt_identifier}/versions
import requests

url = "https://api.example.com/v1/prompts/{prompt_identifier}/versions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/prompts/{prompt_identifier}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "model_name": "<string>",
      "template": {
        "type": "<string>",
        "messages": [
          {
            "content": "<string>"
          }
        ]
      },
      "invocation_parameters": {
        "type": "<string>",
        "openai": {
          "temperature": 123,
          "max_tokens": 123,
          "max_completion_tokens": 123,
          "frequency_penalty": 123,
          "presence_penalty": 123,
          "top_p": 123,
          "seed": 123,
          "stop": [
            "<string>"
          ],
          "extra_body": {}
        }
      },
      "id": "<string>",
      "description": "<string>",
      "tools": {
        "type": "<string>",
        "tools": [
          {
            "type": "<string>",
            "function": {
              "name": "<string>",
              "description": "<string>",
              "parameters": {},
              "strict": true
            }
          }
        ],
        "tool_choice": {
          "type": "<string>"
        },
        "disable_parallel_tool_calls": true
      },
      "response_format": {
        "type": "<string>",
        "json_schema": {
          "name": "<string>",
          "description": "<string>",
          "schema": {},
          "strict": true
        }
      }
    }
  ],
  "next_cursor": "<string>"
}
"<string>"
"<string>"
"<string>"

Path Parameters

prompt_identifier
string
required

The identifier of the prompt, i.e. name or ID.

Query Parameters

cursor
string | null

Cursor for pagination (base64-encoded promptVersion ID)

limit
integer
default:100

The max number of prompt versions to return at a time.

Response

A list of prompt versions with pagination information

data
PromptVersion · object[]
required
next_cursor
string | null
required